Pale Moon 29.2.0 більше не підтримує застарілі розширення Firefox, які не переносяться

Коли Mozilla перейшла зі своєї застарілої системи надбудови на WebExtensions, у форках Firefox, таких як Pale Moon, зросла кількість користувачів, які хотіли продовжувати використовувати розширення, які нова система Mozilla більше не підтримує. Не всі розширення спрацювали, але багато, і користувачі могли продовжувати використовувати ці розширення.

Випуск Pale Moon 29.2.0 суттєво змінює сумісність розширень браузера, оскільки видаляє підтримку застарілих розширень Firefox, які не налаштовані для роботи з браузером Pale Moon. Наразі доступно близько 230 розширень для Pale Moon на офіційний веб-сайт надбудов Pale Moon , включаючи популярні розширення, такі як Decentraleyes, uBlock Origin (Legacy) або FoxyProxy.

Згідно до повідомлення на форумі від Moonchild, власника проекту Pale Moon, підтримка розширень Firefox завжди вважалася тимчасовою командою розробників. Класичні розширення Firefox можуть взагалі не встановлюватися на Pale Moon або можуть викликати проблеми із сумісністю, і це одна з основних причин блокування класичних розширень Firefox у Pale Moon 29.2.0.

сумісність аддонів блідий місяць 29.2.0

Розширення, які не сумісні, можуть бути перенесені, щоб зробити їх сумісними з браузером Pale Moon, але хто це зробить? Для команди проекту «Блідий Місяць» відповідь однозначна. Спільноті потрібно активізувати роботу, щоб розширення, які вони використовують, залишалися сумісними з браузером. Реально, більшість користувачів браузера не знають, як створити розширення браузера або змінити їх, щоб вони працювали. Команда Pale Moon також не може перенести більшість розширень браузера до браузера, що залишає невелику групу членів спільноти з навичками та часом для перенесення деяких розширень у браузер.

Потік доступний на офіційному форумі Pale Moon для публікувати критичні розширення, доступні лише для Firefox .

Користувачі «Блідого Місяця» можуть залишитися у версії 29.1.1 браузера як тимчасовий захід для продовження використання розширень, які в іншому випадку були б відключені в Блідій Місяці 29.2.0 або пізнішої версії. Хорошим варіантом перевірки сумісності є використання портативної копії Pale Moon 29.2.0 і сумісності розширень з тестом у цій версії, щоб побачити, які з встановлених розширень залишаються сумісними, а які ні. Не рекомендується переходити на попередню версію Pale Moon після встановлення оновлення 29.2.0, оскільки це може спричинити проблеми сумісності профілів.

Блідий Місяць 29.2.0 був випущений 27 квітня 2021 року .

Тепер ти : ви використовуєте блідий місяць? На вас вплинула зміна сумісності?